
.promo-banner {
    position: relative;
    
    outline: 1px solid transparent;
}

.promo-banner.banner-border {
    outline: 1px solid #f0f0f0;
}

/* --- */

.promo-banner .banner-image {
    position: absolute; z-index: 10;
    top: 0; bottom: 0; left: 0; right: 0;
    
    background-repeat: no-repeat;
}

.promo-banner .banner-image-v {
    background-position: center top;
    background-size: 100% auto;
}

.promo-banner .banner-image-h {
    background-size: auto 100%;
    display: none;
}

.promo-banner.banner-left .banner-image-h {
    background-position: left center;
}

.promo-banner.banner-right .banner-image-h {
    background-position: right center;
}

.promo-banner .image-box {
    width: 100%;
}

.promo-banner .image {
    padding-bottom: 85%;
}

@media (min-width: 992px) {
    .promo-banner .banner-image-v {
        display: none;
    }  
    
    .promo-banner .banner-image-h {
        display: block;
    }  
    
    .promo-banner .image {
        padding-bottom: 100%;
    }
}

/* --- */

.promo-banner.banner-white {
    color: var(--color-text);
}

.promo-banner.banner-black {
    color: #fff;
}

.promo-banner.banner-white .btn-b1 {
    color: var(--color-prim);
    background-color: transparent;
    border-color: var(--color-prim);
}

.promo-banner.banner-black .btn-b1 {
    color: #fff;
    background-color: transparent;
    border-color: #fff;
}

.promo-banner .btn-b2 {
    color: #fff;
    background-color: var(--color-prim);
    border-color: var(--color-prim);
}

/**
 * Кнопка - Ширина.
 * -----------------------------------------------------------------------------
 */

.btn-b1,
.btn-b2 {
    min-width: 220px;
}

@media (min-width: 412px) {
    .btn-b1,
    .btn-b2 {
        min-width: 260px;
    }    
}

/* --- */

.promo-banner .banner-content {
    position: relative; z-index: 20;
    
    display: -ms-flexbox;
    display: flex;

    -ms-flex-direction: column;
    flex-direction: column;

    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;

    height: 100%;
}

.promo-banner .about-box {
    display: -ms-flexbox;
    display: flex;

    -ms-flex-direction: column;
    flex-direction: column;

    -ms-flex-pack: justify;
    justify-content: space-between;
        
    -ms-flex-positive: 1;
    flex-grow: 1;
    
    padding: 2rem 3rem 3rem;
}

.promo-banner .about-box .title {
    font-weight: var(--font-w-bold);
    font-size: 20px;
}

.promo-banner .about-box .about {
    margin-top: 2rem;
    font-size: 12px;
}

.promo-banner .about-box .price {
    margin-top: 2rem;
    
    font-weight: var(--font-w-bold);
    font-size: 16px;
}

.promo-banner .about-box .buttons {
    margin-top: 2rem;
}

.promo-banner .about-box .buttons .button + .button {
    margin-top: 15px;
}

@media (min-width: 412px) {
    .promo-banner .about-box .title {
        font-size: 22px;
    }

    .promo-banner .about-box .about {
        font-size: 14px;
    }

    .promo-banner .about-box .price {
        font-size: 18px;
    }
}

@media (min-width: 992px) {
    .promo-banner {
        height: 360px;
    }
    
    .promo-banner .banner-content {
        -ms-flex-direction: row;
        flex-direction: row;
        
        height: 100%;
    }
    
    .promo-banner .about-box {
        padding: 0;
    }
    
    .promo-banner .about-box .texts {
        padding: 3rem 0 0;
    }
    
    .promo-banner.banner-left .about-box .texts {
        padding-right: 3rem;
    }
    
    .promo-banner.banner-right .about-box .texts {
        padding-left: 3rem;
    }

    .promo-banner .image-box {
        width: 360px;
    }
    
    .promo-banner.banner-right .image-box {
        -ms-flex-order: 2;
        order: 2;        
    }
    
    .promo-banner .about-box .title {
        font-size: 28px;
    }

    .promo-banner .about-box .about {
        font-size: 14px;
    }

    .promo-banner .about-box .price {
        font-size: 20px;
    }
    
    .promo-banner .about-box .buttons {
        display: -ms-flexbox;
        display: flex;
        
        -ms-flex-wrap: nowrap;
        flex-wrap: nowrap;
        
        margin: 1rem 0 3rem;
    }
    .promo-banner.banner-right .about-box .buttons .button {
        margin-left: 3rem;
    }

    .promo-banner .about-box .buttons .button + .button {
        margin-top: 0;
        margin-left: 15px;
    }
}

/*
 * -----------------------------------------------------------------------------
 *
 * .
 *
 * -----------------------------------------------------------------------------
 */

.promo-details {
    
}

.promo-details .details-head {
    margin-top: 2rem;
    border-top: 2px solid var(--color-grey);
    
    text-align: right;
}

.promo-details .details-head .close {
    font-size: 36px;
    line-height: 36px;
    
    user-select: none;
}

.promo-details .details-item .title,
.promo-details .details-item .price {
    font-size: 16px;
}

.promo-details .details-item .about {
    font-size: 12px;
}

.promo-details .details-item .price-1 {
    font-weight: var(--font-w-bold);
}

.promo-details .details-item-price .price {
    margin-top: 2rem;
}

.promo-details .details-item + .details-item,
.promo-details .details-item .title + .about,
.promo-details .details-item-price + .details-item-price .price {
    margin-top: 1rem;
}

@media (min-width: 412px) {
    .promo-details .details-item .title,
    .promo-details .details-item .price {
        font-size: 18px;
    }

    .promo-details .details-item .about {
        font-size: 14px;
    }
}

@media (min-width: 992px) {
    .promo-details .details-post {
        display: -ms-flexbox;
        display: flex;

        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        
        margin: 0 -15px;
    }

    .promo-details .details-item {
        padding: 0 15px;
        margin: 0 0 3rem !important;
    }
    
    .promo-details .details-item-6 {
        -ms-flex: 0 0 50%;
        flex: 0 0 50%;
        max-width: 50%;
    }
    
    .promo-details .details-item-12 {
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
    }
    
    .promo-details .details-item .price {
        margin-top: 0 !important;
    }
}

/*
 * -----------------------------------------------------------------------------
 *
 * .
 *
 * -----------------------------------------------------------------------------
 */

#iblock-promotions {
    padding-top: 0;
    padding-bottom: 1rem;
}

#iblock-promotions .item {
    max-width: 420px;
    margin: 0 auto 2rem;
}

@media (min-width: 992px) {
    #iblock-promotions .item {
        max-width: 100%;
        margin: 0 0 2rem;
    }  
}

/*
 * -----------------------------------------------------------------------------
 *
 * .
 *
 * -----------------------------------------------------------------------------
 */

#iblock-promotions-slider {
    padding-bottom: 1rem;
}

#iblock-promotions-slider .slick-track {
    display: flex !important;
}

#iblock-promotions-slider .slides-gallery {
    padding: 0 !important;
}

#iblock-promotions-slider .slides-gallery .slick-prev {
    left: 2px !important;
}
  
#iblock-promotions-slider .slides-gallery .slick-next {
    right: 2px !important;
}

#iblock-promotions-slider .slide {
    float: none !important;
    padding: 1px !important;
}

/*
#iblock-promotions-slider .slide,
#iblock-promotions-slider .slide .banner-content {
    height: inherit !important;
    min-height: 100% !important;
}
*/

#iblock-promotions-slider .slide .promo-banner {
    height: 100%;
}

#iblock-promotions-slider .banner-content {

}

@media (min-width: 992px) {
    #iblock-promotions-slider .slide .promo-banner {
        height: 360px !important;
    }
}

/*

.wrapper {
    height: 100px;
}

.d1 {
    height: 100%;
    background: rgba(0,0,255,.1);
}
.d2 {
    height: 100%;
    background: rgba(0,255,0,.1);
}

.d3 {
    height: 100%;
    background: rgba(255,0,0,.1);
}

*/

/*
 * -----------------------------------------------------------------------------
 *
 * .
 *
 * -----------------------------------------------------------------------------
 */


@media (min-width: 576px) {
    
}
@media (min-width: 768px) {
    
}
@media (min-width: 992px) {
    
}
@media (min-width: 1200px) {
    
}

